Subject: Re: Bug: Write fault blocked by KUAP! (kernel 6.2-rc6, Talos II)

From: "Erhard F." <[email-masked]>
Date: Fri, 3 Feb 2023 11:46:05 +0100

On Fri, 03 Feb 2023 13:02:59 +1100
Benjamin Gray <[email-masked]> wrote:

> Do you have a QEMU command to boot this? I tried with
>    
>     qemu-system-ppc64 --nographic --vga none --kernel ./vmlinux
> 
> But it crashes immediately on booting the kernel (same using KVM on
> Power9).

No, this is a custom kernel .config for my Talos II where it works fine. But next time I'll come up with a config which boots up in qemu too. ;)

> FWIW, I see the config has the experimental
> CONFIG_PPC64_BIG_ENDIAN_ELF_ABI_V2 set.

Yes. I've been using this since available on kernel 6.2-rc1 on my PowerMac G5 and on the Talos II but with no (?) problems seen so far.

Regards,
Erhard